classification
Title: Simplify the Integral ABC
Type: Stage:
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: jyasskin Nosy List: ezio.melotti, gvanrossum, jyasskin, python-dev, rhettinger
Priority: low Keywords: patch

Created on 2008-06-07 01:57 by rhettinger, last changed 2013-04-14 09:59 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
numbers2.diff rhettinger, 2008-06-07 01:57 Diff for numbers.py review
pep2.diff rhettinger, 2008-06-07 02:01 Diff for the PEP
numbers3.diff rhettinger, 2008-06-15 16:24 Path allowing right hand operand to override a binary operation review
Messages (12)
msg67792 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-06-07 01:57
* Reduce Integral to just a single additional abstract method.
* Supply the binary operations as mixins instead of abstract methods.
* Three argument __pow__ is now optional.
* Convert with __int__ instead of __long__.
msg67826 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-06-08 08:35
Is the patch good to go?
msg67941 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-06-11 04:31
Not really, see the reply I sent to the checkin mail.
msg68253 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-06-16 01:07
Not much feedback on comp.lang.python.

Does numbers3.diff look like what you had in mind?
msg68256 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-06-16 02:23
Mostly, but I *really* want to see unittests for this.
msg68318 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-06-17 12:43
Jeffrey, do you have an interest in taking it from here?
msg68332 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-06-17 17:05
Raymond, mind if we roll back your previous (incorrect) changes?  They
really should not have been submitted in the first place.
msg68333 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-06-17 17:17
No problem.  Whatever you think is best.

Still hoping that Jeffrey can take a look at the mixin approach and the 
__rand__ logic.  No one else seems to have an interest and I won't have 
time to write the tests for a few days (they are complicated because 
Integral requires so many abstract methods to be defined before it will 
instantiate).
msg68991 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-06-30 04:15
Yeah, I'll take a look. Feel free to bug me if I haven't gotten to it in
a couple more days.
msg90103 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-04 03:26
Ping?
msg133631 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-04-13 01:25
I've long since lost interest in this.
If anyone wants to push it forward,
feel free to re-open.
msg186901 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-14 09:59
New changeset 4678259af5a4 by Georg Brandl in branch '2.7':
The Integral class does not contain implementations for the bit-shifting operations. (See #3056.)
http://hg.python.org/cpython/rev/4678259af5a4

New changeset 1d4ba14cc505 by Georg Brandl in branch '3.3':
The Integral class does not contain implementations for the bit-shifting operations. (See #3056.)
http://hg.python.org/cpython/rev/1d4ba14cc505
History
Date User Action Args
2013-04-14 09:59:05python-devsetnosy: + python-dev
messages: + msg186901
2011-04-13 01:25:29rhettingersetstatus: open -> closed
resolution: out of date
messages: + msg133631
2011-03-23 06:01:34rhettingersetpriority: normal -> low
nosy: gvanrossum, rhettinger, jyasskin, ezio.melotti
versions: + Python 3.3, - Python 2.6, Python 3.0
2009-07-04 03:26:52ezio.melottisetpriority: normal
nosy: + ezio.melotti
messages: + msg90103

2008-06-30 04:15:46jyasskinsetmessages: + msg68991
2008-06-17 17:17:32rhettingersetmessages: + msg68333
2008-06-17 17:05:02gvanrossumsetmessages: + msg68332
2008-06-17 12:43:21rhettingersetassignee: rhettinger -> jyasskin
messages: + msg68318
nosy: + jyasskin
2008-06-16 02:23:39gvanrossumsetassignee: gvanrossum -> rhettinger
2008-06-16 02:23:25gvanrossumsetmessages: + msg68256
2008-06-16 01:07:06rhettingersetmessages: + msg68253
2008-06-15 16:24:38rhettingersetfiles: + numbers3.diff
2008-06-11 04:31:07gvanrossumsetmessages: + msg67941
2008-06-08 08:35:35rhettingersetmessages: + msg67826
2008-06-07 02:01:44rhettingersetfiles: + pep2.diff
2008-06-07 01:57:24rhettingercreate